[git] Assuan - branch, master, updated. libassuan-2.4.3-12-g4f5596c

by Werner Koch cvs at cvs.gnupg.org
Wed Nov 15 18:50:52 CET 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPC library used by GnuPG".

The branch, master has been updated
       via  4f5596cf09c9e3e7845aa703f68e49168797fd2a (commit)
       via  dfb8654f66f8ddeeb048e195a4f98c0aeed9ffb7 (commit)
      from  1f9a635e3c4be157a4879fc15b59805abcef9a08 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 4f5596cf09c9e3e7845aa703f68e49168797fd2a
Author: Werner Koch <wk at gnupg.org>
Date:   Wed Nov 15 18:44:09 2017 +0100

    Add special check version request \001\001
    
    * src/assuan.c (assuan_check_version): Handle version "\001\001"
    * tests/version.c (main): Print extended version info.
    
    Signed-off-by: Werner Koch <wk at gnupg.org>

diff --git a/src/assuan.c b/src/assuan.c
index e59df65..b6dec93 100644
--- a/src/assuan.c
+++ b/src/assuan.c
@@ -281,5 +281,7 @@ compare_versions (const char *my_version, const char *req_version)
 const char *
 assuan_check_version (const char *req_version)
 {
+  if (req_version && req_version[0] == 1 && req_version[1] == 1)
+    return _assuan_sysutils_blurb ();
   return compare_versions (PACKAGE_VERSION, req_version);
 }
diff --git a/src/sysutils.c b/src/sysutils.c
index 74031cd..afa7aa1 100644
--- a/src/sysutils.c
+++ b/src/sysutils.c
@@ -48,8 +48,8 @@ _assuan_sysutils_blurb (void)
     "This is Libassuan " PACKAGE_VERSION " - The GnuPG IPC Library\n"
     "Copyright 2001-2013 Free Software Foundation, Inc.\n"
     "Copyright 2001-2014 g10 Code GmbH\n"
-    "SPDX-License-Identifier: LGPL-2.1+\n"
     "\n"
+    "SPDX-License-Identifier: LGPL-2.1+\n"
     "(" BUILD_REVISION " " BUILD_TIMESTAMP ")\n"
     "\n\n";
   return blurb;
diff --git a/tests/version.c b/tests/version.c
index 96e43c0..4ff700e 100644
--- a/tests/version.c
+++ b/tests/version.c
@@ -84,6 +84,7 @@ main (int argc, char **argv)
       log_info ("Version from header: %s (0x%06x)\n",
                 ASSUAN_VERSION, ASSUAN_VERSION_NUMBER);
       log_info ("Version from binary: %s \n", assuan_check_version (NULL));
+      log_info ("Copyright blurb ...:%s\n", assuan_check_version ("\001\001"));
     }
 
   return errorcount ? 1 : 0;

commit dfb8654f66f8ddeeb048e195a4f98c0aeed9ffb7
Author: Werner Koch <wk at gnupg.org>
Date:   Wed Nov 15 18:29:52 2017 +0100

    Let configure create the VERSION file.
    
    * autogen.sh: Update from Libgpg-error
    * configure.ac: Create file VERSION.
    * Makefile.am (dist-hook): Do not create VERSION.
    (EXTRA_DIST): Add VERSION.
    --
    
    GnuPG-bug-id: 3283

diff --git a/.gitignore b/.gitignore
index 933a5cb..3db5004 100644
--- a/.gitignore
+++ b/.gitignore
@@ -31,3 +31,4 @@ tests/Makefile.in
 tests/Makefile
 tests/fdpassing
 tests/pipeconnect
+/VERSION
diff --git a/Makefile.am b/Makefile.am
index ba01f60..11e4696 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -25,7 +25,7 @@ DISTCHECK_CONFIGURE_FLAGS = --enable-doc
 # (A suitable gitlog-to-changelog script can be found in GnuPG master.)
 GITLOG_TO_CHANGELOG=gitlog-to-changelog
 
-EXTRA_DIST = autogen.sh autogen.rc README.GIT         	                \
+EXTRA_DIST = autogen.sh autogen.rc README.GIT VERSION                   \
              ChangeLog-2011 doc/ChangeLog-2011 src/ChangeLog-2011 	\
              tests/ChangeLog-2011 contrib/ChangeLog-2011     		\
              build-aux/git-log-footer build-aux/git-log-fix
@@ -40,7 +40,7 @@ SUBDIRS = m4 src $(doc) tests
 
 
 dist-hook: gen-ChangeLog
-	echo "$(VERSION)" > $(distdir)/VERSION
+
 
 distcheck-hook:
 	set -e; ( \
diff --git a/autogen.sh b/autogen.sh
index 90e7d7f..e5ba5bf 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,6 @@
 #! /bin/sh
 # autogen.sh
-# Copyright (C) 2003, 2014 g10 Code GmbH
+# Copyright (C) 2003, 2014, 2017 g10 Code GmbH
 #
 # This file is free software; as a special exception the author gives
 # unlimited permission to copy and/or distribute it, with or without
@@ -15,7 +15,7 @@
 # configure it for the respective package.  It is maintained as part of
 # GnuPG and source copied by other packages.
 #
-# Version: 2014-06-06
+# Version: 2017-01-17
 
 configure_ac="configure.ac"
 
@@ -80,7 +80,17 @@ if [ -n "${AUTOGEN_SH_SILENT}" ]; then
   SILENT=" --silent"
 fi
 if test x"$1" = x"--help"; then
-  echo "usage: ./autogen.sh [--silent] [--force] [--build-TYPE] [ARGS]"
+  echo "usage: ./autogen.sh [OPTIONS] [ARGS]"
+  echo "  Options:"
+  echo "    --silent       Silent operation"
+  echo "    --force        Pass --force to autoconf"
+  echo "    --find-version Helper for configure.ac"
+  echo "    --build-TYPE   Configure to cross build for TYPE"
+  echo "    --print-host   Print only the host triplet"
+  echo "    --print-build  Print only the build platform triplet"
+  echo ""
+  echo "  ARGS are passed to configure in --build-TYPE mode."
+  echo "  Configuration for this script is expected in autogen.rc"
   exit 0
 fi
 if test x"$1" = x"--silent"; then
@@ -200,6 +210,11 @@ if [ "$myhost" = "find-version" ]; then
     minor="$3"
     micro="$4"
 
+    if [ -z "$package" -o -z "$major" -o -z "$minor" ]; then
+      echo "usage: ./autogen.sh --find-version PACKAGE MAJOR MINOR [MICRO]" >&2
+      exit 1
+    fi
+
     case "$version_parts" in
       2)
         matchstr1="$package-$major.[0-9]*"
@@ -214,18 +229,20 @@ if [ "$myhost" = "find-version" ]; then
     esac
 
     beta=no
-    if [ -d .git ]; then
+    if [ -e .git ]; then
       ingit=yes
       tmp=$(git describe --match "${matchstr1}" --long 2>/dev/null)
+      tmp=$(echo "$tmp" | sed s/^"$package"//)
       if [ -n "$tmp" ]; then
-          tmp=$(echo "$tmp"|awk -F- '$3!=0 && $3 !~ /^beta/ {print"-beta"$3}')
+          tmp=$(echo "$tmp" | sed s/^"$package"//  \
+                | awk -F- '$3!=0 && $3 !~ /^beta/ {print"-beta"$3}')
       else
           tmp=$(git describe --match "${matchstr2}" --long 2>/dev/null \
                 | awk -F- '$4!=0{print"-beta"$4}')
       fi
       [ -n "$tmp" ] && beta=yes
       rev=$(git rev-parse --short HEAD | tr -d '\n\r')
-      rvd=$((0x$(echo ${rev} | head -c 4)))
+      rvd=$((0x$(echo ${rev} | dd bs=1 count=4 2>/dev/null)))
     else
       ingit=no
       beta=yes
@@ -310,7 +327,8 @@ if [ "$myhost" = "w32" ]; then
 
     $tsdir/configure --enable-maintainer-mode ${SILENT} \
              --prefix=${w32root}  \
-             --host=${host} --build=${build} \
+             --host=${host} --build=${build} SYSROOT=${w32root} \
+             PKG_CONFIG_LIBDIR=${w32root}/lib/pkgconfig \
              ${configure_opts} ${extraoptions} "$@"
     rc=$?
     exit $rc
@@ -416,13 +434,16 @@ fi
 
 # Check the git setup.
 if [ -d .git ]; then
-  CP="cp -a"
-  [ -z "${SILENT}" ] && CP="$CP -v"
+  CP="cp -p"
+  # If we have a GNU cp we can add -v
+  if cp --version >/dev/null 2>/dev/null; then
+    [ -z "${SILENT}" ] && CP="$CP -v"
+  fi
   if [ -f .git/hooks/pre-commit.sample -a ! -f .git/hooks/pre-commit ] ; then
     [ -z "${SILENT}" ] && cat <<EOF
 *** Activating trailing whitespace git pre-commit hook. ***
     For more information see this thread:
-      http://mail.gnome.org/archives/desktop-devel-list/2009-May/msg00084html
+      https://mail.gnome.org/archives/desktop-devel-list/2009-May/msg00084.html
     To deactivate this pre-commit hook again move .git/hooks/pre-commit
     and .git/hooks/pre-commit.sample out of the way.
 EOF
diff --git a/configure.ac b/configure.ac
index 731449d..61fd09d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -51,8 +51,9 @@ m4_define([mym4_isbeta],       m4_argn(2, mym4_verslist))
 m4_define([mym4_version],      m4_argn(4, mym4_verslist))
 m4_define([mym4_revision],     m4_argn(7, mym4_verslist))
 m4_define([mym4_revision_dec], m4_argn(8, mym4_verslist))
+m4_esyscmd([echo ]mym4_version[>VERSION])
 
-AC_INIT([mym4_package],[mym4_version], [http://bugs.gnupg.org])
+AC_INIT([mym4_package],[mym4_version], [https://bugs.gnupg.org])
 
 # LT Version numbers, remember to change them just *before* a release.
 #   (Code changed:			REVISION++)

-----------------------------------------------------------------------

Summary of changes:
 .gitignore      |  1 +
 Makefile.am     |  4 ++--
 autogen.sh      | 41 +++++++++++++++++++++++++++++++----------
 configure.ac    |  3 ++-
 src/assuan.c    |  2 ++
 src/sysutils.c  |  2 +-
 tests/version.c |  1 +
 7 files changed, 40 insertions(+), 14 deletions(-)


hooks/post-receive
-- 
IPC library used by GnuPG
http://git.gnupg.org




More information about the Gnupg-commits mailing list